# Stop Music

## Description

```javascript
'stop music [music_id] [with [properties]]'
```

The stop music action will let you stop either all music currently playing or only one in specific. To learn more about music, read the[ Play Music documentation](/documentation/2.1.0/script-actions/play-music.md).

**Action ID**: `Music::Stop`

**Reversible**: Yes

**Requires User Interaction**: No

## Parameters

| Name       | Type     | Description                                                                 |
| ---------- | -------- | --------------------------------------------------------------------------- |
| music\_id  | `string` | Optional. The name of the specific music you want to stop.                  |
| properties | `string` | Optional. A list of comma separated properties with their respective value. |

### Properties

The following is a comprehensive list of the properties available for you to modify certain behaviors of the stop music action.

| Name | Type     | Description                                                                                                                                                                  |
| ---- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| fade | `number` | The fade property let's you add a fade out effect to the music, it accepts a time in seconds, representing how much time you want it to take until the music volume is zero. |

## Examples

### Stop a specific Music

The following will stop a specific music, identified by it's name.

{% tabs %}
{% tab title="Script" %}

```javascript
Monogatari.script ({
    'Start': [
        'play music mainTheme loop',
        'play music mistery loop',
        'Two songs are currently playing',
        'stop music mainTheme',
        'Only the mistery song is playing now',
        'end'
    ]
});
```

{% endtab %}

{% tab title="Music Assets" %}

```javascript
Monogatari.assets ('music', {
    'mainTheme': 'mainThemeSong.mp3',
    'mistery': 'misterious_song.ogg'
});
```

{% endtab %}
{% endtabs %}

### Stop all Music

The following will stop all music currently playing

{% tabs %}
{% tab title="Script" %}

```javascript
Monogatari.script ({
    'Start': [
        'play music mainTheme loop',
        'play music mistery loop',
        'Two songs are currently playing',
        'stop music',
        'No music is playing anymore',
        'end'
    ]
});
```

{% endtab %}

{% tab title="Music Assets" %}

```javascript
Monogatari.assets ('music', {
    'mainTheme': 'mainThemeSong.mp3',
    'mistery': 'misterious_song.ogg'
});
```

{% endtab %}
{% endtabs %}

### Fade Out Effect

The following will stop the song, and will use a fade out effect to do so. You can also use a fade out effect when stopping all music.

{% tabs %}
{% tab title="Script" %}

```javascript
Monogatari.script ({
    'Start': [
        'play music mainTheme loop',
        'play music mistery loop',
        'Two songs are currently playing',
        'stop music mistery with fade 5',
        'No music is playing anymore',
        'end'
    ]
});
```

{% endtab %}

{% tab title="Music Assets" %}

```javascript
Monogatari.assets ('music', {
    'mainTheme': 'mainThemeSong.mp3',
    'mistery': 'misterious_song.ogg'
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.monogatari.io/documentation/2.1.0/script-actions/stop-music.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
